Bug 967712 - Octal device number is offered in libvirtError when virt-install guest with duplicate --host-device options.
Octal device number is offered in libvirtError when virt-install guest with d...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks: 981503
  Show dependency treegraph
 
Reported: 2013-05-28 02:00 EDT by hyao@redhat.com
Modified: 2014-06-17 20:50 EDT (History)
11 users (show)

See Also:
Fixed In Version: libvirt-1.1.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 981503 (view as bug list)
Environment:
Last Closed: 2014-06-13 06:32:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Martin Kletzander 2013-06-03 08:01:38 EDT
Mocing to POST with upstream commit v1.0.6-1-gdc0c791:

commit dc0c7915697a902d6edc5820f5930653b7684c3c
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Fri May 31 18:36:11 2013 +0200

    usb: don't spoil decimal addresses
Comment 3 EricLee 2013-07-03 02:28:23 EDT
Hi Martin,

I am verifying this bug.However, your patch maybe do not fix the problem totally. The address of usb is actully using decimal, but the error still appear for the first time I run that virt-install command.

# lsusb | grep RSA
Bus 001 Device 009: ID 15e1:2007 RSA RSA SecurID (R) Authenticator

# virt-install -n demo -r 1024 -f /var/lib/libvirt/images/demo.img -s 8 -l http://tree.englab.nay.redhat.com/pub/rhel/released/RHEL-6/6.3/Server/x86_64/os/ --host-device 001.009 --host-device 001.009 --debug
.....
Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-install", line 677, in start_install
    noboot=options.noreboot)
  File "/usr/share/virt-manager/virtinst/Guest.py", line 1134, in start_install
    noboot)
  File "/usr/share/virt-manager/virtinst/Guest.py", line 1202, in _create_guest
    dom = self.conn.createLinux(start_xml or final_xml, 0)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 2825, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error Device 001:009 is already in use

But for the second time the command will hang after "generated: vnc" :
# virt-install -n demo -r 1024 -f /var/lib/libvirt/images/demo.img -s 8 -l http://tree.englab.nay.redhat.com/pub/rhel/released/RHEL-6/6.3/Server/x86_64/os/ --host-device 001.010 --host-device 001.010 --debug
[Tue, 02 Jul 2013 23:18:27 virt-install 10160] DEBUG (cli:222) Launched with command line:
/usr/share/virt-manager/virt-install -n demo -r 1024 -f /var/lib/libvirt/images/demo.img -s 8 -l http://tree.englab.nay.redhat.com/pub/rhel/released/RHEL-6/6.3/Server/x86_64/os/ --host-device 001.010 --host-device 001.010 --debug
[Tue, 02 Jul 2013 23:18:27 virt-install 10160] DEBUG (cli:332) Requesting libvirt URI default
[Tue, 02 Jul 2013 23:18:27 virt-install 10160] DEBUG (cli:334) Received libvirt URI qemu:///system
[Tue, 02 Jul 2013 23:18:27 virt-install 10160] DEBUG (virt-install:291) Requesting virt method 'default', hv type 'default'.
[Tue, 02 Jul 2013 23:18:27 virt-install 10160] DEBUG (virt-install:506) Received virt method 'hvm'
[Tue, 02 Jul 2013 23:18:27 virt-install 10160] DEBUG (virt-install:507) Hypervisor name is 'kvm'
[Tue, 02 Jul 2013 23:18:27 virt-install 10160] DEBUG (cli:972) DISPLAY is set: graphics defaulting to VNC.
[Tue, 02 Jul 2013 23:18:27 virt-install 10160] DEBUG (cli:990) --graphics compat generated: vnc

This can be reproduced only use a normal virt-install command which do not use --host-device parameter, as long as you plug a usb device to host before the command:
# virt-install -n demo -r 1024 -f /var/lib/libvirt/images/demo.img -s 8 -l http://tree.englab.nay.redhat.com/pub/rhel/released/RHEL-6/6.3/Server/x86_64/os/ --debug

This patch may cause a regression that virt-install will hang there forever, only can be killed, while the older package of libvirt(libvirt-1.0.6-1.el7) working well with the command: # virt-install -n demo -r 1024 -f /var/lib/libvirt/images/demo.img -s 8 -l http://tree.englab.nay.redhat.com/pub/rhel/released/RHEL-6/6.3/Server/x86_64/os/ --debug

So this bug verified fail.

Do I need file another bug to track this hang issue?

Thanks,
EricLee
Comment 4 Martin Kletzander 2013-07-04 09:51:07 EDT
This is most likely  Bug 980676.  I believe seeing the proper message once is enough to verify this bug, though.  If you need to test it more than that, set the mentioned bug in Depends on and wait for it to be fixed.
Comment 5 EricLee 2013-07-04 21:51:30 EDT
(In reply to Martin Kletzander from comment #4)
> This is most likely  Bug 980676.  I believe seeing the proper message once
> is enough to verify this bug, though.  If you need to test it more than
> that, set the mentioned bug in Depends on and wait for it to be fixed.

Thanks, setting VERIFIED.
Comment 7 Ludek Smid 2014-06-13 06:32:47 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.